package ru.ulstu.report.model;

import jakarta.persistence.CascadeType;
import jakarta.persistence.Entity;
import jakarta.persistence.EnumType;
import jakarta.persistence.Enumerated;
import jakarta.persistence.FetchType;
import jakarta.persistence.ManyToOne;
import jakarta.persistence.OneToMany;
import jakarta.persistence.Temporal;
import jakarta.persistence.TemporalType;
import ru.ulstu.aspirant.model.Aspirant;
import ru.ulstu.model.BaseEntity;

import java.util.ArrayList;
import java.util.Date;
import java.util.List;

@Entity
public class Report extends BaseEntity {
    @Temporal(TemporalType.TIMESTAMP)
    private Date createDate = new Date();

    @OneToMany(cascade = CascadeType.ALL, fetch = FetchType.EAGER)
    private List<ReportValue> values = new ArrayList<>();

    @ManyToOne
    private ReportPeriod reportPeriod;

    @ManyToOne
    private Aspirant aspirant;

    @Enumerated(EnumType.STRING)
    private ReportStatus status = ReportStatus.NEW;

    public Report() {
    }

    public Report(Integer id) {
        setId(id);
    }

    public List<ReportValue> getValues() {
        return values;
    }

    public void setValues(List<ReportValue> values) {
        this.values = values;
    }

    public Date getCreateDate() {
        return createDate;
    }

    public void setCreateDate(Date createDate) {
        this.createDate = createDate;
    }

    public ReportPeriod getReportPeriod() {
        return reportPeriod;
    }

    public void setReportPeriod(ReportPeriod reportPeriod) {
        this.reportPeriod = reportPeriod;
    }

    public Aspirant getAspirant() {
        return aspirant;
    }

    public void setAspirant(Aspirant aspirant) {
        this.aspirant = aspirant;
    }

    public ReportStatus getStatus() {
        return status;
    }

    public void setStatus(ReportStatus status) {
        this.status = status;
    }
}
